# $Revision: 1.5 $, $Date: 2002/09/16 08:16:16 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Cache
%define		pnam	Mmap
Summary:	Cache::Mmap - Shared data cache using memory mapped files
Summary(pl):	Cache::Mmap - Wspdzielony bufor danych, uywajcy mapowanych w pamici plikw
Name:		perl-Cache-Mmap
Version:	0.05
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5
%{!?_without_tests:BuildRequires:	perl-Test-Simple}
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a shared data cache, using memory mapped files.
If routines are provided which interact with the underlying data,
access to the cache is completely transparent, and the module handles
all the details of refreshing cache contents, and updating underlying
data, if necessary.

%description -l pl
Ten modu jest implementacj wspdzielonego bufora (cache) danych,
uywajcego plikw mapowanych w pamici. Jeli s dostarczone funkcje
wsppracujce z podlegajcymi danymi, dostp do bufora jest
cakowicie przezroczysty, a modu obsuguje wszystkie szczegy
odwieania zawartoci bufora i uaktualniania buforowanych danych w
miar potrzeby.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README Todo
%dir %{perl_sitearch}/Cache
%{perl_sitearch}/Cache/*.pm
%dir %{perl_sitearch}/auto/Cache
%dir %{perl_sitearch}/auto/Cache/Mmap
%attr(755,root,root) %{perl_sitearch}/auto/Cache/Mmap/*.so
%{perl_sitearch}/auto/Cache/Mmap/*.bs
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Cache-Mmap.spec,v $
Revision 1.5  2002/09/16 08:16:16  ankry
- added missing dirs, cleaning
- release 2

Revision 1.4  2002/08/28 23:17:12  radek
- version 0.05

Revision 1.3  2002/08/28 11:27:13  radek
- fixed (?) Polish summary

Revision 1.2  2002/08/27 21:15:50  qboosh
- pl description

Revision 1.1  2002/08/27 18:06:39  radek
- new, STBR (weird license constraint will be removed in the next release)
